Skip to main content
`Ctrl`+`K`

# DMForestAdaptivityStrategy

String with the name of a PETSc `DMFOREST` adaptivity strategy

## Synopsis

    typedef const char *DMForestAdaptivityStrategy;
    #define DMFORESTADAPTALL "all"
    #define DMFORESTADAPTANY "any"

## See Also

DM Basics, `DMFOREST`, `DMForestSetAdaptivityStrategy()`, `DMForestGetAdaptivityStrategy()`, `DMForestSetGradeFactor()`

## Level

intermediate

## Location

include/petscdmforest.h

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages